version: '3'

services: 
  affine:
    image: ghcr.io/toeverything/affine:nightly-server-latest
    restart: always
    container_name: affine
    networks:
      - proxy
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.affine-secure.entrypoints=https"
      - "traefik.http.routers.affine-secure.rule=Host(`affine.mrdev023.fr`)"
      - "traefik.http.routers.affine-secure.tls=true"
      - "traefik.http.routers.affine-secure.tls.certresolver=sslResolver"
      - "traefik.http.services.affine-secure.loadbalancer.server.port=3000"
      - "traefik.docker.network=proxy"

networks:
  proxy:
    external: true
